aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorOliver Smith <osmith@sysmocom.de>2023-03-02 10:18:25 +0100
committerOliver Smith <osmith@sysmocom.de>2023-03-02 10:18:25 +0100
commitfdf3336f6cf1d6d313251734bbe2fd0e217a713b (patch)
tree0120ae01bebcee40b92176482981b87adee3fc32 /contrib
parent2ede9dcd1daff25d75745608bfc1b462f02bd785 (diff)
contrib/obs-upgrade-eclipse-titan.sh: new script
Add helper script for upgrading the eclipse-titan package in OBS. Change-Id: Ia42adf5ddb469b18588c659adc9ded951e68e44b
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/obs-upgrade-eclipse-titan.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/contrib/obs-upgrade-eclipse-titan.sh b/contrib/obs-upgrade-eclipse-titan.sh
new file mode 100755
index 0000000..a949241
--- /dev/null
+++ b/contrib/obs-upgrade-eclipse-titan.sh
@@ -0,0 +1,49 @@
+#!/bin/sh -e
+# SPDX-License-Identifier: GPL-3.0-or-later
+# Copyright 2023 sysmocom - s.f.m.c. GmbH
+# Author: Oliver Smith
+#
+# Helper script to upgrade the eclipse-titan package on obs.osmocom.org.
+# Usage instructions:
+# https://osmocom.org/projects/cellular-infrastructure/wiki/Upgrading_eclipse-titan_in_the_Osmocom_OBS
+
+old_dsc="$(find -maxdepth 1 -name 'eclipse-titan_*.dsc')"
+old_ver="$(grep '^Version: ' "$old_dsc" | cut -d ':' -f 2 | xargs | cut -d - -f 1)"
+new_ver="$1"
+
+if [ -z "$new_ver" ]; then
+ echo "usage: update.sh NEW_VERSION"
+ exit 1
+fi
+
+echo ":: upgrade from $old_ver to $new_ver"
+
+tarball="titan.core-$new_ver.tar.bz2"
+if ! [ -e "$tarball" ]; then
+ echo ":: download $tarball"
+ wget "https://gitlab.eclipse.org/eclipse/titan/titan.core/-/archive/$new_ver/$tarball"
+fi
+
+echo ":: extract $old_dsc"
+dpkg-source -x "$old_dsc"
+
+echo ":: update sourcedir with $tarball"
+cd "eclipse-titan-$old_ver"
+uupdate -v "$new_ver" ../"$tarball"
+
+echo ":: now modify eclipse-titan-$new_ver (e.g. adjust changelog) and press return when done"
+read foo
+
+echo ":: build new source package"
+cd "../eclipse-titan-$new_ver"
+dpkg-buildpackage -S -uc -us -d
+cd ".."
+
+echo ":: clean up extracted dirs"
+rm -rf "eclipse-titan-$old_ver" \
+ "eclipse-titan-$new_ver" \
+ "eclipse-titan-$new_ver.orig" \
+ *.buildinfo \
+ *.changes
+
+echo ":: done!"